(function ($) {
    Drupal.behaviors.globallinkSendTranslations = {
        attach: function (context, settings) {

            // Handler for individual checkbox
            if ($('.globallink-send-page-row', context).length == 0) {
                return;
            }
            else {
                var selectedPath = Drupal.settings.globallinkSendTranslations.selectedPath;
                var selectedType = Drupal.settings.globallinkSendTranslations.selectedType;
                var sessionKey = Drupal.settings.globallinkSendTranslations.sessionKey;
                $('.form-type-checkbox', context).once('select-one-id', function () {
                    $('.globallink-send-page-row', this).change(function (e) {
                        var payload = new Object();
                        payload.type = selectedType;
                        payload.sessionKey = sessionKey;
                        payload.id = $(this).attr("value");
                        payload.checked = $(this).attr("checked");
                        var jsonPayload = JSON.stringify(payload);
                        $.ajax({
                            type: 'POST',
                            url: selectedPath,
                            dataType: 'json',
                            data: 'payload=' + jsonPayload,
                            success: function (data) {
                                var count = data.count;
                                $('#update-cart-count').html(count);
                                if(count == 0) {
                                    $.fn.globallink_js_clear_cart();
                                }
                                else {
                                    $.fn.globallink_js_unclear_cart();
                                }
                            },
                            error: function (xhr, textStatus, errorThrown) {
                                console.log("An error has occurred - " + errorThrown);
                            }
                        });
                    });
                });
            }

            // Handler for Select All checkbox
            if ($('.select-all', context).length == 0) {
                return;
            }
            else {
                var selectAllPath = Drupal.settings.globallinkSendTranslations.selectAll;
                var selectedType = Drupal.settings.globallinkSendTranslations.selectedType;
                var sessionKey = Drupal.settings.globallinkSendTranslations.sessionKey;
                $('.globallink-send-page-row', context).once('select-all-id', function () {
                    $('.select-all', this).change(function (e) {
                        var select_all = $('.select-all > .form-checkbox');
                        var checked = select_all.attr('checked');
                        var checkboxes = $(this).closest('table').find('input:checkbox.globallink-send-page-row');
                        var ids = [];
                        if(checkboxes != undefined) {
                            checkboxes.each(function (k, v) {
                                ids.push($(this).attr("value"));
                            });
                        }
                        var payload = new Object();
                        payload.type = selectedType;
                        payload.sessionKey = sessionKey;
                        payload.ids = ids;
                        payload.checked = checked;
                        var jsonPayload = JSON.stringify(payload);
                        $.ajax({
                            type: 'POST',
                            url: selectAllPath,
                            dataType: 'json',
                            data: 'payload=' + jsonPayload,
                            success: function (data) {
                                var count = data.count;
                                $('#update-cart-count').html(count);
                                if(count == 0) {
                                    $.fn.globallink_js_clear_cart();
                                }
                                else {
                                    $.fn.globallink_js_unclear_cart();
                                }
                            },
                            error: function (xhr, textStatus, errorThrown) {
                                console.log("An error has occurred - " + errorThrown);
                            }
                        });
                    });
                });
            }
        }
    };
    Drupal.behaviors.addCtoolsModalClass = {
        attach: function (context) {
            $('#modalContent .item-list ul.pager li a').addClass('ctools-use-modal');
        }
    };

    /*Drupal.behaviors.CToolsDetachBehaviors = {
        attach: function (context) {
            $('.modal-header', context).once('modal-close-id', function () {
                $('a.close', this).click(function (e) {
                    console.log("Modal has closed");
                    console.log($("input.globallink-send-page-row[type=checkbox]"));
                    $("input.globallink-send-page-row[type=checkbox]").each(function () {
                        console.log($(this));
                        $(this).attr('checked', false);
                    });
                });
            });
        }
    };*/

    $.fn.globallink_js_clear_ids = function(response) {
        if(response === undefined || response === '') {
            return;
        }
        
        var ids = response.split(",");
        var checkboxes = $('.select-all').closest('table').find('input:checkbox.globallink-send-page-row');
        if(checkboxes !== undefined) {
            var select_all = $('.select-all > .form-checkbox');
            select_all.attr('checked', false);
            checkboxes.each(function (k, v) {
                if($.inArray($(this).attr("value"), ids) !== -1) {
                    $(this).attr('checked', false);
                }
            });
        }
    };

    $.fn.globallink_js_clear_cart = function() {
        $('#gl-add-to-cart').attr('disabled', 'disabled');
        $('#gl-remove-from-cart').attr('disabled', 'disabled');
        $('#gl-add-to-cart').addClass('form-button-disabled');
        $('#gl-remove-from-cart').addClass('form-button-disabled');
    };

    $.fn.globallink_js_unclear_cart = function() {
        $('#gl-add-to-cart').attr("disabled", false);
        $('#gl-remove-from-cart').attr('disabled', false);
        $('#gl-add-to-cart').removeClass('form-button-disabled');
        $('#gl-remove-from-cart').removeClass('form-button-disabled');
    };

})(jQuery);
